El Foro

Unable to find 32bits OpenGL Libs, etc.

Autor Respuestas
kiasta Saturday 20 October 2012 at 1:43
kiastaAnonymous

I've seen a couple of these posts but none of the "fixes" have helped me. I am using Fedora 17 64-bit and am currently using the 304.51 nvidia drivers.

Here is the latest attempt on trying to get this to work:
 I installed the propietary nvidia driver and rebooted. I've removed wine completely and re-installed the 32bit version of wine. Installed 7-zip. I than downloaded 4.1.8 PlayOnLinux and did this:

after cd to Download directory:
"sudo yum install PlayOnLinux_4.1.8_fedora0.rpm"


it downloaded some dependancies and installed with no errors. I open playonlinux and I get the following errors still:



"PlayOnLinux is unable to find 32bits OpenGL libraries.

You might encounter problem with your games"


"PlayOnLinux cannot find icotool (from icoutils)

You should install it to use PlayOnLinux"


"PlayOnLinux cannot find wrestool (from icoutils)

You should install it to use PlayOnLinux"


"PlayOnLinux cannot find 7z (from P7ZIP full)

You should install it to use PlayOnLinux"

I try to create a new drive but it doesn't even show wine in the list of wine installations to use... Any suggestions?

Editado por: kiasta

petch Saturday 20 October 2012 at 10:02
petch
Developer

Hi,

"PlayOnLinux is unable to find 32bits OpenGL libraries.

You might encounter problem with your games"

Quote from kiasta


You need to add the 32bit version of nvidia video libraries, not sure how they're called on Fedora.

"PlayOnLinux cannot find icotool (from icoutils)
"PlayOnLinux cannot find wrestool (from icoutils)
"PlayOnLinux cannot find 7z (from P7ZIP full)
You should install it to use PlayOnLinux"

Quote from kiasta

Install icoutils, p7zip and p7zip-plugins.

kiasta Saturday 20 October 2012 at 19:51
kiastaAnonymous


You need to add the 32bit version of nvidia video libraries, not sure how they're called on Fedora.

Citar


That did the trick! I thought for sure that when I install the proprietary drivers the libs were installed as well, I thought it was a link issue.


Install icoutils, p7zip and p7zip-plugins.

Citar


Installing icoutils and p7zip-plugins fixed those erros (which now seems obvious to me)
I just installed p7zip but not the plugins..

Thanks a lot for all of your help, it now works as it should.

Editado por: kiasta

ajshastri Friday 8 March 2013 at 0:15
ajshastriAnonymous

how do you do it on ubuntu?